Name:          panini
Summary:       Perspective creating visual tool
URL:           http://www.sourceforge.net/projects/pvqt/
Vendor:        Tom Sharpless <tksharpless@gmail.com>
Packager:      Franta Hanzlik
Group:         Applications/Multimedia
License:       GPLv3
Version:       0.62
%define SvnVer 20090221svn
Release:       %{SvnVer}%{dist}
Requires:      qt >= 4.4.2 desktop-file-utils

#   list of sources
Source0:       http://www.sourceforge.net/projects/pvqt/panini-%{version}-%{SvnVer}.tar.bz2
Source1:       %{name}.desktop
Source2:       %{name}.png

#   build information
Prefix:        %{_prefix}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root
BuildRequires: qt4-devel >= 4.4.2
#AutoReqProv:  no

%description
Panini is a visual tool for creating perspective views from panoramic
and wide angle photographs. More than a pano viewer, more than a view
camera, with features of both. For Linux/Unix, Win32, and Mac systems
with OpenGL 2.0
This Fedora release is build with qt-4.4.3

%prep
    [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
%setup -q

%build
# --without debug hack:
CFLAGS="${CFLAGS:-%optflags}" ; export CFLAGS
%{?_without_debug:%define debug_package %{nil}}
%{?_without_debug:export RPM_OPT_FLAGS="${RPM_OPT_FLAGS//-g/}"}
%{?_without_debug:export CFLAGS="${CFLAGS//-g/}"}

qmake-qt4 %{name}.pro
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -m 755 -p bin/%{name} $RPM_BUILD_ROOT%{_bindir}
#install -m 644 -p %{name}.xpm $RPM_BUILD_ROOT%{_datadir}/pixmaps
#install -m 644 -p src/%{name}_de.ts $RPM_BUILD_ROOT%{_datadir}/%{name}

desktop-file-install --vendor="fedora" --dir=$RPM_BUILD_ROOT%{_datadir}/applications %{SOURCE1}
install -p -m 0644 %SOURCE2 ${RPM_BUILD_ROOT}%{_datadir}/pixmaps

#install -m755 -o root -g mail -d $RPM_BUILD_ROOT/var/panini/txt
#cp -pd txt/*.txt $RPM_BUILD_ROOT/var/panini/txt/
#mkdir -p $RPM_BUILD_ROOT/var/www/panini/html/templates
#cp -pd webui/cgi-bin/templates/* $RPM_BUILD_ROOT/var/www/panini/html/templates/
#cp -pd webui/htdocs/*.css $RPM_BUILD_ROOT/var/www/panini/html/
#cp -pd webui/htdocs/*.gif $RPM_BUILD_ROOT/var/www/panini/html/

%clean
    [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc panini-build.txt  panini-usage.txt GPLversion3.txt
%{_bindir}/%{name}
%{_datadir}/pixmaps/panini.png
%{_datadir}/applications/*

%changelog
* Sat Feb 21 2009 Franta Hanzlik <franta@hanzlici.cz>
- initial build v0.62
